FWTextInternal::Zone Struct Reference

Internal: class to store a text zone. More...

## Public Types

enum | ZoneType { Normal, Main, CollapsedItem }
| the zone type More...

## Public Member Functions

| Zone ()
| constructor More...
std::vector< int > | getBreaksPosition () const
| return the col/page break More...

## Public Attributes

FWStruct::EntryPtr | m_zone
| the main zone More...
Box2f | m_box
| the bdbox More...
long | m_begin
| the beginning of the text data More...
long | m_end
| the end of the text data More...
ZoneType | m_zoneType
| the zone type More...
int | m_flags [2]
| the zone flags, header|footer, normal|extra More...
int | m_pages [2]
| the pages More...
std::vector< PageInfo > | m_pagesInfo
| the pages info More...
std::string | m_extra
| the extra data ( for debugging ) More...

## Friends

std::ostream & | operator<< (std::ostream &o, Zone const &z)
| operator<< More...

## Detailed Description

Internal: class to store a text zone.

## Member Enumeration Documentation

enum FWTextInternal::Zone::ZoneType

the zone type

Enumerator
Normal |
Main |
CollapsedItem |

## Constructor & Destructor Documentation

FWTextInternal::Zone::Zone | ( |  | ) |

inline

constructor

## Member Function Documentation

std::vector<int> FWTextInternal::Zone::getBreaksPosition | ( |  | ) | const

inline

return the col/page break

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Zone const & | z
| ) |  |

friend

operator<<

## Member Data Documentation

long FWTextInternal::Zone::m_begin

the beginning of the text data

Box2f FWTextInternal::Zone::m_box

the bdbox

long FWTextInternal::Zone::m_end

the end of the text data

std::string FWTextInternal::Zone::m_extra

the extra data ( for debugging )

int FWTextInternal::Zone::m_flags[2]

the zone flags, header|footer, normal|extra

Referenced by Zone().

int FWTextInternal::Zone::m_pages[2]

the pages

Referenced by Zone().

std::vector<PageInfo> FWTextInternal::Zone::m_pagesInfo

the pages info

Referenced by getBreaksPosition().

FWStruct::EntryPtr FWTextInternal::Zone::m_zone

the main zone

ZoneType FWTextInternal::Zone::m_zoneType

the zone type

The documentation for this struct was generated from the following file:

- FWText.cxx